Bug 130475 - Tab name focus issues when keyboard navigating Table Properties dialog tabs
Summary: Tab name focus issues when keyboard navigating Table Properties dialog tabs
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.0.0
Keywords:
Depends on:
Blocks: Writer-Table-Properties-Dialog
  Show dependency treegraph
 
Reported: 2020-02-06 06:48 UTC by Jim Raykowski
Modified: 2020-03-13 09:11 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jim Raykowski 2020-02-06 06:48:50 UTC
In the table properties dialog focus goes to the selector list box when the left arrow key is used to navigate to the Background tab page. Oddly right arrow key navigation to the Text Flow tab page causes focus to go to the Break check box.

Steps to repro:

1) Right click on any table in Writer and select Table Properties...
2) Use the left arrow key to navigate to the Background tab page

result: Focus is on selector list box

3) Shift+Tab to move focus to the Background tab name
4) Right arrow key navigate to Text Flow tab

result: Focus is on Break check box

expected results: Focus remains on tab name
Comment 1 Dieter 2020-02-06 18:34:21 UTC
I confirm it with

Version: 7.0.0.0.alpha0+ (x64)
Build ID: eeb2d19e77d6dc47c68e8ba0920a02cf64a1247b
CPU threads: 4; OS: Windows 10.0 Build 18363; UI render: default; VCL: win; 
Locale: de-DE (de_DE); UI-Language: en-GB
Calc: threaded
Comment 2 Commit Notification 2020-02-08 11:18:56 UTC
Jim Raykowski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/110a49b41c81759f25f96be627d45848de9264a5

tdf#130475 Remove mysterious grab focus

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Dieter 2020-03-13 09:11:48 UTC
Verified with

Version: 7.0.0.0.alpha0+ (x64)
Build ID: c63148ba139bd6b9ae7a0f9e24e51f29e5370963
CPU threads: 4; OS: Windows 10.0 Build 18363; UI render: Skia/Raster; VCL: win; 
Locale: de-DE (de_DE); UI-Language: en-GB
Calc: threaded